## mxterm 129

=== debian/changelog ===
mxterm (129) unstable; urgency=medium

  * New upstream version.
  * New maintainer.

 -- Greg Schenzel <inittab@netizenweb.com>  Sun, 8 May 2005 10:40:50 -0400
