=== debian/control ===
Source: mxterm
Section: x11
Priority: optional
Maintainer: Greg Schenzel <inittab@netizenweb.com>
Build-Depends: xlibs-dev, libmotif-dev, libxaw7-dev
Standards-Version: 3.5.6.1

Package: mxterm
Architecture: any
Depends: ${shlibs:Depends}, base-passwd (>= 2.0.3.4), libmotif3, libxaw7, xterm
Provides: x-terminal-emulator
Description: xterm, VT52, tek4014 terminal emulator in Motif
 Color xterm replacement based on Motif for the X Window System.
